# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1
%define namedversion 0.9.4-RC7

Summary:        Scala ORM and DSL
Name:           squeryl_2.8.1
Version:        0.9.4
Release:        0.rc7.1%{?dist}
Epoch:          0
Group:          Development/Framework
License:        ASL 2.0
URL:            http://squeryl.org/
Source0:        squeryl-0.9.4-RC7.tar.bz2
# git clone https://github.com/max-l/Squeryl.git
# git archive --prefix="squeryl-0.9.4-RC7/" --format=tar 0.9.4-RC7 | bzip2 > squeryl-0.9.4-RC7.tar.bz2

Source1:        http://mirror.1und1.de/software/maven2/org/squeryl/squeryl_2.8.1/0.9.4-RC7/squeryl_2.8.1-0.9.4-RC7.pom

#Patch0:         databinder-dispatch-mime-Mime.patch
Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5
Requires:  java >= 0:1.6.0
Requires:  cglib
Requires:  scala28
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  cglib
BuildRequires:  scala28
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A Scala ORM and DSL for talking with Databases with minimum
verbosity and maximum type safety.

%prep
%setup -q -n squeryl-%{namedversion}

%build
mkdir classes
javac -d classes -sourcepath src/main/scala $(find src/main/scala -name "*.java")

scalac28 -classpath $(build-classpath scala28/scala28-library cglib-nodep) -d classes -sourcepath src/main/scala $(find src/main/scala -name "*.scala")
jar cf %{name}-%{version}.jar -C classes org

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.squeryl %{name} %{namedversion} JPP %{name} 
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%changelog
* Thu Jan 17 2013 Ralph Apel <r.apel@r-apel.de> 0:0.9.4-0.rc7.1
- First release

